{*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Vladimir Turek
 *  @copyright 2010-2020 PrestaAddons
 *  @license   LICENSE_EN.txt
 *}
<div class="row" id="m4check">
	<form class="defaultForm form-horizontal col-lg-9" method="post">
		<div class="panel">
			<h3><i class="icon-file"></i> {l s='Check for PrestaShop Vulnerabilities' mod='m4check'}</h3>

			<p>{l s='This module checks for PrestaShop vulnerabilities known as' mod='m4check'}
				<a href="https://build.prestashop.com/news/critical-security-vulnerability-in-prestashop-modules" target="_blank">XsamXadoo <i class="icon-external-link"></i></a>,
				<a href="http://www.zone-h.org/archive/notifier=Marouane-Haxor" target="_blank">Marouane-Haxor <i class="icon-external-link"></i></a>,
				<a href="https://blog.sucuri.net/2019/07/spam-doorway-manager.html" target="_blank">Spam Doorway Manager <i class="icon-external-link"></i></a>,

				.</p>
			<p>&nbsp;</p>

			{if $vulnerabilities && ($vulnerabilities.dirs || $vulnerabilities.files || $vulnerabilities.prestashopFiles)}
				<div class="alert alert-warning">
					<p style="font-size: 150%"><b>{l s='ATTENTION!' mod='m4check'}</b></p>

					{if $vulnerabilities.dirs}
						<p><br>{l s='These directories have been found that pose a threat.' mod='m4check'} {l s='You should remove them.' mod='m4check'}</p>

						<ul>
							{foreach from=$vulnerabilities.dirs item=item key=item}
								<li>{$vulnerabilities.dirs[$item]|escape:'htmlall':'UTF-8'}</li>
							{/foreach}
						</ul>
					{/if}

					{if $vulnerabilities.files}
						<p><br>{l s='These files have been found that pose a threat.' mod='m4check'} {l s='You should remove them.' mod='m4check'}</p>

						<ul>
							{foreach from=$vulnerabilities.files item=item key=item}
								<li>{$vulnerabilities.files[$item]|escape:'htmlall':'UTF-8'}</li>
							{/foreach}
						</ul>
					{/if}

					{if $vulnerabilities.prestashopFiles}
						<p><br>{l s='These original PrestaShop files have been found that pose a threat.' mod='m4check'} {l s='You should replace them from a backup.' mod='m4check'}</p>

						<ul>
							{foreach from=$vulnerabilities.prestashopFiles item=item key=item}
								<li>{$vulnerabilities.prestashopFiles[$item]|escape:'htmlall':'UTF-8'}</li>
							{/foreach}
						</ul>
					{/if}
				</div>
			{elseif $tested}
				<div class="alert alert-info">
					<p><b>{l s='OK' mod='m4check'}</b></p>
					<p>{l s='No threats found.' mod='m4check'}</p>
				</div>
			{/if}

			<div class="form-group">
				<label class="control-label col-lg-3">{l s='Check all directories' mod='m4check'}</label>
				<div class="col-lg-1">
					<button class="btn btn-default pull-left" name="submitCheck" type="submit">
						<i class="process-icon-configure"></i>
						<span class="submit-text">{l s='Check' mod='m4check'}</span>
					</button>
				</div>
			</div>
		</div>
	</form>

	<div class="col-lg-3">
		<div class="panel">
			<h3><i class="icon-star"></i> {l s='PrestaAddons Modules' mod='m4check'}</h3>

			<p>
				{l s='Other useful modules can be found at' mod='m4check'} <a href="https://www.presta-addons.com/en/" target="_blank">PrestaAddons <i class="icon-external-link"></i></a>.
			</p>
		</div>
	</div>
</div>
<script type="text/javascript">
	// <![CDATA[
	$(document).ready(function() {
		var m4checking = false;

		$("button").click(function() {
			if (m4checking == false) {
				m4checking = true;
				$(".process-icon-configure").addClass("icon-spin");
				$(".submit-text").text("{l s='Checking...' mod='m4check'}")
			}
		});
	});
	// ]]>
</script>
